diff --git a/dom/bindings/parser/tests/test_method.py b/dom/bindings/parser/tests/test_method.py
index cf7f1b40d7..2f5f4b0b2b 100644
--- a/dom/bindings/parser/tests/test_method.py
+++ b/dom/bindings/parser/tests/test_method.py
@@ -59,7 +59,7 @@ def WebIDLTest(parser, harness):
         harness.check(method.isStringifier(), stringifier, "Method has the correct stringifier value")
         harness.check(len(method.signatures()), len(signatures), "Method has the correct number of signatures")
 
-        sigpairs = zip(method.signatures(), signatures)
+        sigpairs = list(zip(method.signatures(), signatures))
         for (gotSignature, expectedSignature) in sigpairs:
             (gotRetType, gotArgs) = gotSignature
             (expectedRetType, expectedArgs) = expectedSignature
@@ -121,7 +121,7 @@ def WebIDLTest(parser, harness):
           };
         """)
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(not threw, "Should allow integer to float type corecion")
 
@@ -134,7 +134,7 @@ def WebIDLTest(parser, harness):
           };
         """)
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should not allow [GetterThrows] on methods")
 
@@ -147,7 +147,7 @@ def WebIDLTest(parser, harness):
           };
         """)
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should not allow [SetterThrows] on methods")
 
@@ -160,7 +160,7 @@ def WebIDLTest(parser, harness):
           };
         """)
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should spell [Throws] correctly on methods")
 
@@ -173,6 +173,6 @@ def WebIDLTest(parser, harness):
           };
         """)
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should not allow __noSuchMethod__ methods")
diff --git a/dom/bindings/parser/tests/test_mozmap.py b/dom/bindings/parser/tests/test_mozmap.py
index 1a36fdd62c..fa852c02a0 100644
--- a/dom/bindings/parser/tests/test_mozmap.py
+++ b/dom/bindings/parser/tests/test_mozmap.py
@@ -33,7 +33,7 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception,x:
+    except Exception as x:
         threw = True
 
     harness.ok(threw, "Should have thrown.")
diff --git a/dom/bindings/parser/tests/test_namespace.py b/dom/bindings/parser/tests/test_namespace.py
index 74533a1770..62edb270c6 100644
--- a/dom/bindings/parser/tests/test_namespace.py
+++ b/dom/bindings/parser/tests/test_namespace.py
@@ -70,7 +70,7 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should have thrown.")
 
@@ -85,7 +85,7 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should have thrown.")
 
@@ -104,7 +104,7 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should have thrown.")
 
@@ -123,7 +123,7 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should have thrown.")
 
@@ -142,7 +142,7 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should have thrown.")
 
@@ -161,7 +161,7 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should have thrown.")
 
@@ -180,7 +180,7 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should have thrown.")
 
@@ -199,7 +199,7 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should have thrown.")
 
@@ -218,6 +218,6 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should have thrown.")
diff --git a/dom/bindings/parser/tests/test_unenumerable_own_properties.py b/dom/bindings/parser/tests/test_unenumerable_own_properties.py
index d017d5ce09..d28cc1ec05 100644
--- a/dom/bindings/parser/tests/test_unenumerable_own_properties.py
+++ b/dom/bindings/parser/tests/test_unenumerable_own_properties.py
@@ -24,7 +24,7 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should have thrown.")
 
@@ -39,7 +39,7 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should have thrown.")
 
@@ -59,6 +59,6 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception, x:
+    except Exception as x:
         threw = True
     harness.ok(threw, "Should have thrown.")
diff --git a/dom/bindings/parser/tests/test_unforgeable.py b/dom/bindings/parser/tests/test_unforgeable.py
index 3787e8c6af..44a168670e 100644
--- a/dom/bindings/parser/tests/test_unforgeable.py
+++ b/dom/bindings/parser/tests/test_unforgeable.py
@@ -111,7 +111,7 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception,x:
+    except Exception as x:
         threw = True
     harness.ok(threw,
                "Should have thrown when shadowing unforgeable attribute on "
@@ -130,7 +130,7 @@ def WebIDLTest(parser, harness):
         """)
 
         results = parser.finish()
-    except Exception,x:
+    except Exception as x:
         threw = True
     harness.ok(threw,
                "Should have thrown when shadowing unforgeable operation on "
diff --git a/dom/bindings/parser/tests/test_union.py b/dom/bindings/parser/tests/test_union.py
index 9c4f2a56ab..aa538a97da 100644
--- a/dom/bindings/parser/tests/test_union.py
+++ b/dom/bindings/parser/tests/test_union.py
@@ -17,10 +17,10 @@ def combinations(iterable, r):
     n = len(pool)
     if r > n:
         return
-    indices = range(r)
+    indices = list(range(r))
     yield tuple(pool[i] for i in indices)
     while True:
-        for i in reversed(range(r)):
+        for i in reversed(list(range(r))):
             if indices[i] != i + n - r:
                 break
         else:
@@ -41,7 +41,7 @@ def combinations_with_replacement(iterable, r):
     indices = [0] * r
     yield tuple(pool[i] for i in indices)
     while True:
-        for i in reversed(range(r)):
+        for i in reversed(list(range(r))):
             if indices[i] != n - 1:
                 break
         else:
@@ -125,7 +125,7 @@ def WebIDLTest(parser, harness):
 
     # Create a list of tuples containing the name of the type as a string and
     # the parsed IDL type.
-    types = zip(types, (a.type for a in iface.members))
+    types = list(zip(types, (a.type for a in iface.members)))
 
     validUnionTypes = chain(unionTypes(combinations(types, 2), typesAreDistinguishable),
                             unionTypes(combinations(types, 3), typesAreDistinguishable))
diff --git a/dom/browser-element/mochitest/createNewTest.py b/dom/browser-element/mochitest/createNewTest.py
index 309ff95344..bd0f317280 100644
--- a/dom/browser-element/mochitest/createNewTest.py
+++ b/dom/browser-element/mochitest/createNewTest.py
@@ -2,7 +2,6 @@
 
 This script requires Python 2.7."""
 
-from __future__ import print_function
 
 import sys
 import os
@@ -59,9 +58,9 @@ def add_to_ini(filename, test, support_file=None):
     places in the file.
 
     """
-    lines_to_write = ['[{0}]'.format(test)]
+    lines_to_write = ['[{}]'.format(test)]
     if support_file:
-        lines_to_write += ['support-files = {0}'.format(support_file)]
+        lines_to_write += ['support-files = {}'.format(support_file)]
     lines_to_write += ['']
     with open(filename, 'a') as f:
         f.write('\n'.join(lines_to_write))
@@ -73,7 +72,7 @@ def add_to_ini(filename, test, support_file=None):
         return
 
     # Count the number of lines in the file
-    with open(filename, 'r') as f:
+    with open(filename) as f:
         num_lines = len(f.readlines())
 
     try:
@@ -81,7 +80,7 @@ def add_to_ini(filename, test, support_file=None):
                          '+%d' % (num_lines - len(lines_to_write) + 2),
                          filename])
     except Exception as e:
-        print_fill("Error opening $EDITOR: {0}.".format(e))
+        print_fill("Error opening $EDITOR: {}.".format(e))
         print()
         print_fill("""\
             Please open {filename} and move the filenames at the bottom of the
diff --git a/dom/canvas/test/webgl-mochitest/mochi-to-testcase.py b/dom/canvas/test/webgl-mochitest/mochi-to-testcase.py
index 919ba23280..4f51f034e6 100644
--- a/dom/canvas/test/webgl-mochitest/mochi-to-testcase.py
+++ b/dom/canvas/test/webgl-mochitest/mochi-to-testcase.py
@@ -16,7 +16,7 @@ def ReadLocalFile(include):
 
     data = None
     try:
-        f = open(filePath, 'r')
+        f = open(filePath)
         data = f.read()
     except:
         pass
diff --git a/dom/media/test/external/external_media_harness/__init__.py b/dom/media/test/external/external_media_harness/__init__.py
index 906473f0bc..7ea101bbfe 100644
--- a/dom/media/test/external/external_media_harness/__init__.py
+++ b/dom/media/test/external/external_media_harness/__init__.py
@@ -2,4 +2,4 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from runtests import cli
+from .runtests import cli
diff --git a/dom/media/test/external/external_media_harness/runtests.py b/dom/media/test/external/external_media_harness/runtests.py
index 08d1a323b1..9762a16449 100644
--- a/dom/media/test/external/external_media_harness/runtests.py
+++ b/dom/media/test/external/external_media_harness/runtests.py
@@ -16,7 +16,7 @@ from marionette_harness import (
 from marionette_harness.runtests import MarionetteHarness, cli as mn_cli
 
 import external_media_tests
-from testcase import MediaTestCase
+from .testcase import MediaTestCase
 from external_media_tests.media_utils.video_puppeteer import debug_script
 
 
diff --git a/dom/media/test/external/external_media_tests/media_utils/video_puppeteer.py b/dom/media/test/external/external_media_tests/media_utils/video_puppeteer.py
index b904267dd4..475b4e7812 100644
--- a/dom/media/test/external/external_media_tests/media_utils/video_puppeteer.py
+++ b/dom/media/test/external/external_media_tests/media_utils/video_puppeteer.py
@@ -2,6 +2,7 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+from __future__ import print_function
 from collections import namedtuple
 from time import clock, sleep
 
@@ -181,7 +182,7 @@ class VideoPuppeteer(object):
                 played_ranges.end(0) > 0.0
             )
         except Exception as e:
-            print ('Got exception {}'.format(e))
+            print(('Got exception {}'.format(e)))
             return False
 
     def playback_done(self):
@@ -408,7 +409,7 @@ class VideoPuppeteer(object):
         for field in self._last_seen_video_state._fields:
             # For compatibility with different test environments we force ascii
             field_ascii = (
-                unicode(getattr(self._last_seen_video_state, field))
+                str(getattr(self._last_seen_video_state, field))
                 .encode('ascii','replace'))
             messages += [('\t{}: {}'.format(field, field_ascii))]
         messages += '}'
diff --git a/dom/media/test/external/external_media_tests/media_utils/youtube_puppeteer.py b/dom/media/test/external/external_media_tests/media_utils/youtube_puppeteer.py
index e42bbcc875..3ec9ec9208 100644
--- a/dom/media/test/external/external_media_tests/media_utils/youtube_puppeteer.py
+++ b/dom/media/test/external/external_media_tests/media_utils/youtube_puppeteer.py
@@ -12,7 +12,7 @@ from marionette_driver import By, expected, Wait
 from marionette_driver.errors import TimeoutException, NoSuchElementException
 from marionette_harness import Marionette
 
-from video_puppeteer import VideoPuppeteer, VideoException
+from .video_puppeteer import VideoPuppeteer, VideoException
 from external_media_tests.utils import verbose_until
 
 
@@ -489,7 +489,7 @@ class YouTubePuppeteer(VideoPuppeteer):
         for field in self._last_seen_player_state._fields:
             # For compatibility with different test environments we force ascii
             field_ascii = (
-                unicode(getattr(self._last_seen_player_state, field))
+                str(getattr(self._last_seen_player_state, field))
                         .encode('ascii', 'replace'))
             messages += [('\t{}: {}'.format(field, field_ascii))]
         messages += '}'
diff --git a/dom/media/test/external/mach_commands.py b/dom/media/test/external/mach_commands.py
index e309f3c55e..487a7d21fe 100644
--- a/dom/media/test/external/mach_commands.py
+++ b/dom/media/test/external/mach_commands.py
@@ -45,7 +45,7 @@ def run_external_media_test(tests, testtype=None, topsrcdir=None, **kwargs):
 
     args = Namespace(tests=tests)
 
-    for k, v in kwargs.iteritems():
+    for k, v in kwargs.items():
         setattr(args, k, v)
 
     parser.verify_usage(args)
diff --git a/dom/media/test/graph_latency.py b/dom/media/test/graph_latency.py
index 576f58d864..f0df270c35 100644
--- a/dom/media/test/graph_latency.py
+++ b/dom/media/test/graph_latency.py
@@ -7,6 +7,7 @@
 
 # needs matplotlib (sudo aptitude install python-matplotlib)
 
+from __future__ import print_function
 import matplotlib.pyplot as plt
 from matplotlib import rc
 import sys
@@ -22,10 +23,10 @@ def compute_sum(data):
     out = ([],[])
 
     for i in data:
-        if i[0] not in last_values.keys():
+        if i[0] not in list(last_values.keys()):
           last_values[i[0]] = 0
         last_values[i[0]] = float(i[3])
-        print last_values
+        print(last_values)
         out[0].append(i[2])
         out[1].append(sum(last_values.values()))
     return out
@@ -59,12 +60,12 @@ if len(sys.argv) == 3:
     name = sys.argv[1]
     channels = int(sys.argv[2])
 else:
-    print sys.argv[0] + "latency_log"
+    print(sys.argv[0] + "latency_log")
 
 try:
     f = open(sys.argv[1])
 except:
-    print "cannot open " + name
+    print("cannot open " + name)
 
 raw_lines = f.readlines()
 lines = clean_data(raw_lines)
@@ -76,7 +77,7 @@ for tupl in data:
     name = tupl[0]
     if tupl[1] != 0:
         name = name+tupl[1]
-    if name not in final_data.keys():
+    if name not in list(final_data.keys()):
         final_data[name] = ([], [])
 # sanity-check values
     if float(tupl[3]) < 10*1000:
diff --git a/gfx/angle/src/commit_id.py b/gfx/angle/src/commit_id.py
index bbdb810ce0..fcae35797c 100755
--- a/gfx/angle/src/commit_id.py
+++ b/gfx/angle/src/commit_id.py
@@ -1,3 +1,4 @@
+from __future__ import print_function
 import subprocess as sp
 import sys
 import os
diff --git a/gfx/angle/src/common/Float16ToFloat32.py b/gfx/angle/src/common/Float16ToFloat32.py
index 7705f7b619..04af0dff3e 100755
--- a/gfx/angle/src/common/Float16ToFloat32.py
+++ b/gfx/angle/src/common/Float16ToFloat32.py
@@ -9,6 +9,7 @@
 
 #include "common/mathutil.h"
 
+from __future__ import print_function
 def convertMantissa(i):
     if i == 0:
         return 0
@@ -44,7 +45,7 @@ def convertOffset(i):
     else:
         return 1024
 
-print """//
+print("""//
 // Copyright (c) 2012 The ANGLE Project Authors. All rights reserved.
 // Use of this source code is governed by a BSD-style license that can be
 // found in the LICENSE file.
@@ -54,27 +55,27 @@ print """//
 
 namespace gl
 {
-"""
+""")
 
-print "const static unsigned g_mantissa[2048] = {"
+print("const static unsigned g_mantissa[2048] = {")
 for i in range(0, 2048):
-    print "    %#010x," % convertMantissa(i)
-print "};\n"
+    print("    %#010x," % convertMantissa(i))
+print("};\n")
 
-print "const static unsigned g_exponent[64] = {"
+print("const static unsigned g_exponent[64] = {")
 for i in range(0, 64):
-    print "    %#010x," % convertExponent(i)
-print "};\n"
+    print("    %#010x," % convertExponent(i))
+print("};\n")
 
-print "const static unsigned g_offset[64] = {"
+print("const static unsigned g_offset[64] = {")
 for i in range(0, 64):
-    print "    %#010x," % convertOffset(i)
-print "};\n"
+    print("    %#010x," % convertOffset(i))
+print("};\n")
 
-print """float float16ToFloat32(unsigned short h)
+print("""float float16ToFloat32(unsigned short h)
 {
     unsigned i32 = g_mantissa[g_offset[h >> 10] + (h & 0x3ff)] + g_exponent[h >> 10];
     return bitCast<float>(i32);
 }
 }
-"""
+""")
diff --git a/gfx/angle/src/libANGLE/renderer/angle_format.py b/gfx/angle/src/libANGLE/renderer/angle_format.py
index e46bc7dba9..c0be62baec 100755
--- a/gfx/angle/src/libANGLE/renderer/angle_format.py
+++ b/gfx/angle/src/libANGLE/renderer/angle_format.py
@@ -39,7 +39,7 @@ def load_with_override(override_path):
     results = load_forward_table(map_path)
     overrides = load_json(override_path)
 
-    for k, v in overrides.iteritems():
+    for k, v in overrides.items():
         results[k] = v
 
     return results
diff --git a/gfx/angle/src/libANGLE/renderer/d3d/d3d11/gen_dxgi_support_tables.py b/gfx/angle/src/libANGLE/renderer/d3d/d3d11/gen_dxgi_support_tables.py
index 21b22803b9..282dbf4496 100755
--- a/gfx/angle/src/libANGLE/renderer/d3d/d3d11/gen_dxgi_support_tables.py
+++ b/gfx/angle/src/libANGLE/renderer/d3d/d3d11/gen_dxgi_support_tables.py
@@ -13,6 +13,7 @@
 #  11_0: https://msdn.microsoft.com/en-us/library/windows/desktop/ff471325.aspx
 #  11_1: https://msdn.microsoft.com/en-us/library/windows/desktop/hh404483.aspx
 
+from __future__ import print_function
 import sys
 import json
 
@@ -141,7 +142,7 @@ def do_format(format_data):
         'depthStencil': macro_prefix + 'DS'
     }
 
-    for format_name, format_support in sorted(format_data.iteritems()):
+    for format_name, format_support in sorted(format_data.items()):
 
         always_supported = set()
         never_supported = set()
@@ -152,7 +153,7 @@ def do_format(format_data):
         fl_10_0_check_10_1_supported = set()
         fl_10_0_check_11_0_supported = set()
 
-        for json_flag, support in format_support.iteritems():
+        for json_flag, support in format_support.items():
 
             d3d_flag = [json_flag_to_d3d[json_flag]]
 
@@ -182,7 +183,7 @@ def do_format(format_data):
             elif support == '11_0check':
                 fl_11_0_check.update(d3d_flag)
             else:
-                print("Data specification error: " + support)
+                print(("Data specification error: " + support))
                 sys.exit(1)
 
         for feature_level in ['10_0', '10_1', '11_0']:
diff --git a/gfx/angle/src/libANGLE/renderer/d3d/d3d11/gen_texture_format_table.py b/gfx/angle/src/libANGLE/renderer/d3d/d3d11/gen_texture_format_table.py
index 981a77f51a..7cca2c22c2 100755
--- a/gfx/angle/src/libANGLE/renderer/d3d/d3d11/gen_texture_format_table.py
+++ b/gfx/angle/src/libANGLE/renderer/d3d/d3d11/gen_texture_format_table.py
@@ -158,8 +158,8 @@ def get_swizzle_format_id(internal_format, angle_format):
         raise ValueError('no bits information for determining swizzleformat for format: ' + internal_format)
 
     bits = angle_format['bits']
-    max_component_bits = max(bits.itervalues())
-    channels_different = not all([component_bits == bits.itervalues().next() for component_bits in bits.itervalues()])
+    max_component_bits = max(bits.values())
+    channels_different = not all([component_bits == next(bits.values()) for component_bits in bits.values()])
 
     # The format itself can be used for swizzles if it can be accessed as a render target and
     # sampled and the bit count for all 4 channels is the same.
@@ -261,7 +261,7 @@ def json_to_table_data(internal_format, format_name, prefix, json):
         "condition": prefix,
     }
 
-    for k, v in json.iteritems():
+    for k, v in json.items():
         parsed[k] = v
 
     # Derived values.
@@ -280,15 +280,15 @@ def parse_json_angle_format_case(format_name, angle_format, json_data):
     support_test = None
     fallback = None
 
-    for k, v in angle_format.iteritems():
+    for k, v in angle_format.items():
         if k == "FL10Plus":
             assert support_test is None
             support_test = "OnlyFL10Plus(deviceCaps)"
-            for k2, v2 in v.iteritems():
+            for k2, v2 in v.items():
                 supported_case[k2] = v2
         elif k == "FL9_3":
             split = True
-            for k2, v2 in v.iteritems():
+            for k2, v2 in v.items():
                 unsupported_case[k2] = v2
         elif k == "supportTest":
             assert support_test is None
@@ -312,7 +312,7 @@ def parse_json_angle_format_case(format_name, angle_format, json_data):
 def parse_json_into_switch_angle_format_string(json_map, json_data):
     table_data = ''
 
-    for internal_format, format_name in sorted(json_map.iteritems()):
+    for internal_format, format_name in sorted(json_map.items()):
 
         if format_name not in json_data:
             continue
diff --git a/gfx/angle/src/libANGLE/renderer/gen_angle_format_table.py b/gfx/angle/src/libANGLE/renderer/gen_angle_format_table.py
index 7356fc4149..d6a8357ee5 100755
--- a/gfx/angle/src/libANGLE/renderer/gen_angle_format_table.py
+++ b/gfx/angle/src/libANGLE/renderer/gen_angle_format_table.py
@@ -153,7 +153,7 @@ def get_component_type(format_id):
 
 def get_channel_tokens(format_id):
     r = re.compile(r'([ABDGLRS][\d]+)')
-    return filter(r.match, r.split(format_id))
+    return list(filter(r.match, r.split(format_id)))
 
 def get_channels(format_id):
     channels = ''
@@ -183,7 +183,7 @@ def json_to_table_data(format_id, json, angle_to_gl):
         "id": format_id,
     }
 
-    for k, v in json.iteritems():
+    for k, v in json.items():
         parsed[k] = v
 
     if "glInternalFormat" not in parsed:
@@ -227,7 +227,7 @@ def gen_enum_string(all_angle):
 gl_to_angle = angle_format.load_forward_table('angle_format_map.json')
 angle_to_gl = angle_format.load_inverse_table('angle_format_map.json')
 json_data = angle_format.load_json('angle_format_data.json')
-all_angle = angle_to_gl.keys()
+all_angle = list(angle_to_gl.keys())
 
 angle_format_cases = parse_json_into_angle_format_switch_string(
     all_angle, json_data, angle_to_gl)
diff --git a/gfx/angle/src/libANGLE/renderer/gen_load_functions_table.py b/gfx/angle/src/libANGLE/renderer/gen_load_functions_table.py
index eb3e4c5bf0..2ba474680a 100755
--- a/gfx/angle/src/libANGLE/renderer/gen_load_functions_table.py
+++ b/gfx/angle/src/libANGLE/renderer/gen_load_functions_table.py
@@ -107,7 +107,7 @@ def get_load_func(func_name, type_functions):
     snippet += "{\n"
     snippet += "    switch (type)\n"
     snippet += "    {\n"
-    for gl_type, load_function in sorted(type_functions.iteritems()):
+    for gl_type, load_function in sorted(type_functions.items()):
         snippet += "        case " + gl_type + ":\n"
         requiresConversion = str('LoadToNative<' not in load_function).lower()
         snippet += "            return LoadImageFunctionInfo(" + load_function + ", " + requiresConversion + ");\n"
@@ -127,13 +127,13 @@ def get_unknown_load_func(angle_to_type_map, internal_format):
 def parse_json(json_data):
     table_data = ''
     load_functions_data = ''
-    for internal_format, angle_to_type_map in sorted(json_data.iteritems()):
+    for internal_format, angle_to_type_map in sorted(json_data.items()):
 
         s = '        '
 
         table_data += s + 'case ' + internal_format + ':\n'
 
-        do_switch = len(angle_to_type_map) > 1 or angle_to_type_map.keys()[0] != angle_format_unknown
+        do_switch = len(angle_to_type_map) > 1 or list(angle_to_type_map.keys())[0] != angle_format_unknown
 
         if do_switch:
             table_data += s + '{\n'
@@ -142,7 +142,7 @@ def parse_json(json_data):
             table_data += s + '{\n'
             s += '    '
 
-        for angle_format, type_functions in sorted(angle_to_type_map.iteritems()):
+        for angle_format, type_functions in sorted(angle_to_type_map.items()):
 
             if angle_format == angle_format_unknown:
                 continue
@@ -154,7 +154,7 @@ def parse_json(json_data):
             table_data += s + '    return ' + func_name + ';\n'
 
             if angle_format_unknown in angle_to_type_map:
-                for gl_type, load_function in angle_to_type_map[angle_format_unknown].iteritems():
+                for gl_type, load_function in angle_to_type_map[angle_format_unknown].items():
                     if gl_type not in type_functions:
                         type_functions[gl_type] = load_function
 
diff --git a/gfx/gl/GLParseRegistryXML.py b/gfx/gl/GLParseRegistryXML.py
index 60daca6e56..0519cbfc0f 100755
--- a/gfx/gl/GLParseRegistryXML.py
+++ b/gfx/gl/GLParseRegistryXML.py
@@ -22,6 +22,7 @@
 ################################################################################
 
 # includes
+from __future__ import print_function
 import os
 import sys
 import xml.etree.ElementTree
@@ -38,7 +39,7 @@ class GLConstHeader:
     def write(self, arg):
         if isinstance(arg, list):
             self.f.write('\n'.join(arg) + '\n')
-        elif isinstance(arg, (int, long)):
+        elif isinstance(arg, int):
             self.f.write('\n' * arg)
         else:
             self.f.write(str(arg) + '\n')
@@ -137,7 +138,7 @@ class GLDatabase:
         xmlPath = getXMLDir() + path
 
         if not os.path.isfile(xmlPath):
-            print 'missing file "' + xmlPath + '"'
+            print('missing file "' + xmlPath + '"')
             return False
 
         tree = xml.etree.ElementTree.parse(xmlPath)
@@ -186,7 +187,7 @@ class GLDatabase:
             headerFile = GLConstHeader(f)
             headerFile.formatFileBegin()
 
-            constNames = self.consts.keys()
+            constNames = list(self.consts.keys())
             constNames.sort()
 
             for lib in GLDatabase.LIBS:
diff --git a/gfx/harfbuzz/src/check-c-linkage-decls.py b/gfx/harfbuzz/src/check-c-linkage-decls.py
index 3c206115a9..80395b38e6 100644
--- a/gfx/harfbuzz/src/check-c-linkage-decls.py
+++ b/gfx/harfbuzz/src/check-c-linkage-decls.py
@@ -1,36 +1,37 @@
-#!/usr/bin/env python3
-
-import sys, os
-
-srcdir = os.getenv ('srcdir', os.path.dirname (__file__))
-base_srcdir = os.getenv ('base_srcdir', srcdir)
-
-os.chdir (srcdir)
-
-def removeprefix(s):
-	abs_path = os.path.join(base_srcdir, s)
-	return os.path.relpath(abs_path, srcdir)
-
-
-HBHEADERS = [os.path.basename (x) for x in os.getenv ('HBHEADERS', '').split ()] or \
-	[x for x in os.listdir ('.') if x.startswith ('hb') and x.endswith ('.h')]
-HBSOURCES = [
-    removeprefix(x) for x in os.getenv ('HBSOURCES', '').split ()
-] or [
-    x for x in os.listdir ('.') if x.startswith ('hb') and x.endswith (('.cc', '.hh'))
-]
-stat = 0
-
-for x in HBHEADERS:
-	with open (x, 'r', encoding='utf-8') as f: content = f.read ()
-	if ('HB_BEGIN_DECLS' not in content) or ('HB_END_DECLS' not in content):
-		print ('Ouch, file %s does not have HB_BEGIN_DECLS / HB_END_DECLS, but it should' % x)
-		stat = 1
-
-for x in HBSOURCES:
-	with open (x, 'r', encoding='utf-8') as f: content = f.read ()
-	if ('HB_BEGIN_DECLS' in content) or ('HB_END_DECLS' in content):
-		print ('Ouch, file %s has HB_BEGIN_DECLS / HB_END_DECLS, but it shouldn\'t' % x)
-		stat = 1
-
-sys.exit (stat)
+#!/usr/bin/env python3
+
+from __future__ import print_function
+import sys, os
+
+srcdir = os.getenv ('srcdir', os.path.dirname (__file__))
+base_srcdir = os.getenv ('base_srcdir', srcdir)
+
+os.chdir (srcdir)
+
+def removeprefix(s):
+	abs_path = os.path.join(base_srcdir, s)
+	return os.path.relpath(abs_path, srcdir)
+
+
+HBHEADERS = [os.path.basename (x) for x in os.getenv ('HBHEADERS', '').split ()] or \
+	[x for x in os.listdir ('.') if x.startswith ('hb') and x.endswith ('.h')]
+HBSOURCES = [
+    removeprefix(x) for x in os.getenv ('HBSOURCES', '').split ()
+] or [
+    x for x in os.listdir ('.') if x.startswith ('hb') and x.endswith (('.cc', '.hh'))
+]
+stat = 0
+
+for x in HBHEADERS:
+	with open (x, 'r', encoding='utf-8') as f: content = f.read ()
+	if ('HB_BEGIN_DECLS' not in content) or ('HB_END_DECLS' not in content):
+		print(('Ouch, file %s does not have HB_BEGIN_DECLS / HB_END_DECLS, but it should' % x))
+		stat = 1
+
+for x in HBSOURCES:
+	with open (x, 'r', encoding='utf-8') as f: content = f.read ()
+	if ('HB_BEGIN_DECLS' in content) or ('HB_END_DECLS' in content):
+		print(('Ouch, file %s has HB_BEGIN_DECLS / HB_END_DECLS, but it shouldn\'t' % x))
+		stat = 1
+
+sys.exit (stat)
diff --git a/gfx/harfbuzz/src/check-externs.py b/gfx/harfbuzz/src/check-externs.py
index 3905cc4fc6..facf559670 100644
--- a/gfx/harfbuzz/src/check-externs.py
+++ b/gfx/harfbuzz/src/check-externs.py
@@ -1,20 +1,21 @@
-#!/usr/bin/env python3
-
-import sys, os, re
-
-os.chdir (os.getenv ('srcdir', os.path.dirname (__file__)))
-
-HBHEADERS = [os.path.basename (x) for x in os.getenv ('HBHEADERS', '').split ()] or \
-	[x for x in os.listdir ('.') if x.startswith ('hb') and x.endswith ('.h')]
-
-stat = 0
-
-print ('Checking that all public symbols are exported with HB_EXTERN')
-for x in HBHEADERS:
-	with open (x, 'r', encoding='utf-8') as f: content = f.read ()
-	for s in re.findall (r'\n.+\nhb_.+\n', content):
-		if not s.startswith ('\nHB_EXTERN '):
-			print ('failure on:', s)
-			stat = 1
-
-sys.exit (stat)
+#!/usr/bin/env python3
+
+from __future__ import print_function
+import sys, os, re
+
+os.chdir (os.getenv ('srcdir', os.path.dirname (__file__)))
+
+HBHEADERS = [os.path.basename (x) for x in os.getenv ('HBHEADERS', '').split ()] or \
+	[x for x in os.listdir ('.') if x.startswith ('hb') and x.endswith ('.h')]
+
+stat = 0
+
+print ('Checking that all public symbols are exported with HB_EXTERN')
+for x in HBHEADERS:
+	with open (x, 'r', encoding='utf-8') as f: content = f.read ()
+	for s in re.findall (r'\n.+\nhb_.+\n', content):
+		if not s.startswith ('\nHB_EXTERN '):
+			print(('failure on:', s))
+			stat = 1
+
+sys.exit (stat)
